Bug 124875 - (aic7xxx) sleeping function called from invalid context at include/asm/semaphore.h:119
(aic7xxx) sleeping function called from invalid context at include/asm/semaph...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-31 17:46 EDT by Brad Clements
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:50:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages showing aic7xxx_old error (2.42 KB, text/plain)
2004-06-01 10:48 EDT, Brad Clements
no flags Details

  None (edit)
Description Brad Clements 2004-05-31 17:46:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7b)
Gecko/20040402 Firefox/0.8

Description of problem:
On bootup, I get this message in dmesg:

scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.36
        <Adaptec aic7899 Ultra160 SCSI adapter>
        aic7899: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs
 
(scsi0:A:0): 160.000MB/s transfers (80.000MHz DT, offset 127, 16bit)
(scsi0:A:15): 160.000MB/s transfers (80.000MHz DT, offset 127, 16bit)
  Vendor: FUJITSU   Model: MAN3184MP         Rev: 5505
  Type:   Direct-Access                      ANSI SCSI revision: 03
scsi0:A:0:0: Tagged Queuing enabled.  Depth 4
SCSI device sda: 35566478 512-byte hdwr sectors (18210 MB)
SCSI device sda: drive cache: write through
 sda: sda1 sda2 sda3 sda4 < sda5<5>  Vendor: FUJITSU   Model:
MAN3184MP         Rev: 0108
  Type:   Direct-Access                      ANSI SCSI revision: 03
scsi0:A:15:0: Tagged Queuing enabled.  Depth 4
 sda6 sda7 sda8 sda9 >
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sdb: 35885448 512-byte hdwr sectors (18373 MB)
SCSI device sdb: drive cache: write back
 sdb: sdb1 sdb2 sdb3 sdb4 < sdb5 sdb6 sdb7 sdb8 sdb9 >
Attached scsi disk sdb at scsi0, channel 0, id 15, lun 0
scsi1 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.36
        <Adaptec aic7899 Ultra160 SCSI adapter>
        aic7899: Ultra160 Wide Channel B, SCSI Id=7, 32/253 SCBs
                                                                     
                            
scsi2 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.36
        <Adaptec 2940 Ultra SCSI adapter>
        aic7880: Ultra Wide Channel A, SCSI Id=7, 16/253 SCBs
                                                                     
                            
Debug: sleeping function called from invalid context at
include/asm/semaphore.h:119
in_atomic():0, irqs_disabled():1
Call Trace:
 [<0211c5a1>] __might_sleep+0x80/0x8a
 [<52a71b42>] ahc_linux_kill_dv_thread+0x6b/0x9d [aic7xxx]
 [<52a76e79>] ahc_linux_exit+0x21/0x4c [aic7xxx]
 [<0212fabc>] sys_delete_module+0x124/0x166
 [<02143b89>] unmap_vma_list+0xe/0x17
 [<02143f96>] do_munmap+0x123/0x12d
 [<02118af8>] do_page_fault+0x0/0x4b4
                                                                     
                            
Synchronizing SCSI cache for disk sdb: <4>FAILED
  status = 0, message = 00, host = 1, driver = 00

--

Subsequent call to modprobe aic7xxx does not produce this error. go
figure.




Version-Release number of selected component (if applicable):
2.6.5-1.358smp

How reproducible:
Didn't try


Additional info:

This is a DELL 1400SC with mirrored scsi 160 drives. It also has an
LSI-Logic Megaraid SATA-150 with two mirrored SATA drives that are the
boot drives (I'm migrating away from scsi).
Comment 1 Brad Clements 2004-05-31 17:50:04 EDT
This looks similar to bug #120274
Comment 2 Brad Clements 2004-06-01 10:48:23 EDT
Created attachment 100739 [details]
/var/log/messages showing aic7xxx_old error
Comment 3 Brad Clements 2004-06-01 10:48:58 EDT
I suffered a system lock-up yesterday while trying to initialize the
scsi tape drive using aic7xxx_old. Here is more information about the
system.

Dell 1400SC dual processor PIII-1GHZ. There are two onboard AIC-7899
scsi controllers.  Channel A has two SCSI hard drives. Channel B is
not used.

I've installed a PCI AHA-2940 controller and attached an HP C1537A DAT
drive.

When loading the aic7xxx driver at boot time, I get the sleep error
reported previously in this thread. I then did a modprobe aic7xxx to
load the driver a second time, it did not report a sleep error.
However it did not recognize the tape drive on the 2940 controller.

I changed modprobe.conf to alias scsi_hostadapter aic7xxx_old and
rebooted the system.  I don't get the sleep error, however I get the
error shown in the attached logfile (aic7xxx_old.log).

Using the aic7xxx_old driver, my tape drive is found.

I then ran stinit to initialize the tape drive. At that point the
system hung. The console screen was blanked out so I could not see any
 traceback text. Nothing was logged to disk.

I then disabled the onboard scsi controllers (the two AIC-7899) and
rebooted the system. I get the error reported in the attached logfile
(aic7xxx_old.log). The tape drive is recognized but I will have to
wait until later to see if my system will hang when initializing the
tape drive.

Maybe this is a dual processor issue? 

I need to backup my system soon. I can move the 2940 controller and
tape drive to another machine, but then it will no longer be possible
to test fixes to the aic7xxx driver. If you have a driver you want
tested soon, please let me know and I will wait. 

I don't expect a fix anytime soon, but if you have something now you
want to try I'm willing to try it. Thanks
Comment 4 Dave Jones 2005-04-16 01:50:33 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.